#!/bin/sh

exe_name=$0
exe_dir=`dirname "$0"`
if [ $# -lt "2" ]; then
  
  echo "Usage:
 find_WM_peak.sh Input_Image Modality Brainmask
 Input_Image       Either stripped or unstripped T1/T2/PD/FL image. If the 
                   image is unstripped, a brain mask is required for correct 
                   estimation of white matter peak
                   
 Modality          T1/T2/PD/FL
 Brainmask         Not required if the input image is stripped. For images
                   with skull, it is required.
 All images must be NIFTI (.nii) images, nii.gz not acceptable."                    
 exit 1
fi

INPUT=$1 
MODAL=$2
MASK=$3 
export MCRROOT=/home/roy/Matlab_Compiler_Runtime/v81
 
LD_LIBRARY_PATH=.:${MCRROOT}/runtime/glnxa64 ;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/bin/glnxa64 ;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/os/glnxa64;
MCRJRE=${MCRROOT}/sys/java/jre/glnxa64/jre/lib/amd64 ;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/native_threads ; 
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/server ;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/client ;
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE} ;  
XAPPLRESDIR=${MCRROOT}/X11/app-defaults ;
export LD_LIBRARY_PATH;
export XAPPLRESDIR;

"${exe_dir}"/find_WM_peak $INPUT $MODAL $MASK

